Subject: Bug#1627: bug in PATH and module load

From: Mostafa Elyasi <[email-masked]>
Date: Thu, 20 Jun 2024 12:29:51 +0200

Package: x2goclient/noble

Version: 4.1.2.3-1build3 amd64

I am using x2go in my servers. In some servers that some modules are 
loaded in login time in this path |/etc/profile.d/Mymodules.sh| there is 
a problem. In this file, I have this line: |module load myenv| When I 
comment this line, everything is fine. But when it is not commented, 
x2go cannot connect to the server. When I want to connect to the server, 
it shows me this error and disconnect from the server:

|Error in the connection load myenv (PATH)|

Client and servers are Ubuntu 20.04 with XFCE desktop environment.

Best Regards,

Mostafa Elyasi